export default function setHome(player) {
  const {
    name,
    dimension,
    headLocation
  } = player;
  
  const { x, y, z } = {
    x: Math.floor(headLocation.x),
    y: Math.floor(headLocation.y),
    z: Math.floor(headLocation.z)
  }
  
  function tack(opt){
    switch (opt) {
      case 'add':
        dimension.runCommand(`tickingarea add circle ${x} ${y} ${z} 4 ${name}`)
        break;
      case 'rem':
        dimension.runCommand(`tickingarea remove ${name}`);
    }
  }
  
  try {
    tack('rem');
    dimension.runCommand(`kill @e[type=hs:home, name=${name}]`);
  }catch {
    "none";
  }finally {
    tack("add");
    dimension.runCommand(`summon hs:home ${name} ${x} ${y} ${z}`);
    dimension.runCommand(`say set home done on this position\n    §l§4x=${x}§r\n    §l§2y=${y}§r\n    §l§3z=${z}§r`);
    dimension.runCommand(`say to go to your home use this command §l§9+home§r`);
  }
}