import { world } from 'mojang-minecraft';
import SetHome from "./private/setHome.js";
import Home from "./private/home.js";
import ClearHome from "./private/clearHome.js";
import Help from "./private/help.js";

world.events.beforeChat.subscribe((e) => {
  const player = e.sender;
  let msg = e.message;
  player.dimension.runCommand("gamerule commandblockoutput false");
  
  if ((msg==='+setHome')||(msg==='+sethome')){
    SetHome(player);
  }else if(msg==='+home'){
    Home(player);
  }else if((msg==='+clearHome')||(msg==='+clearhome')){
    ClearHome(player);
  }else if(msg==='+help'){
    Help(player);
  }
});